#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 lsp
version:              1.4.0.0
visibility:           public
id:                   lsp-1.4.0.0-7HrnEOH4yhKC7zGwcpr1Gc
key:                  lsp-1.4.0.0-7HrnEOH4yhKC7zGwcpr1Gc
license:              MIT
copyright:            Alan Zimmerman, 2016-2021
maintainer:           alan.zimm@gmail.com
author:               Alan Zimmerman
homepage:             https://github.com/haskell/lsp
synopsis:             Haskell library for the Microsoft Language Server Protocol
description:
    An implementation of the types, and basic message server to
    allow language implementors to support the Language Server
    Protocol for their specific language.

    An example of this is for Haskell via the Haskell Language
    Server, at https://github.com/haskell/haskell-language-server

category:             Development
abi:                  7ca27c586c093c4470e0391c5fe9c0f2
exposed:              True
exposed-modules:
    Language.LSP.Diagnostics, Language.LSP.Server,
    Language.LSP.Types from lsp-types-1.4.0.1-JvrrFxLlm0NLPuGob91R1h:Language.LSP.Types,
    Language.LSP.Types.Capabilities from lsp-types-1.4.0.1-JvrrFxLlm0NLPuGob91R1h:Language.LSP.Types.Capabilities,
    Language.LSP.Types.Lens from lsp-types-1.4.0.1-JvrrFxLlm0NLPuGob91R1h:Language.LSP.Types.Lens,
    Language.LSP.VFS from lsp-types-1.4.0.1-JvrrFxLlm0NLPuGob91R1h:Language.LSP.VFS

hidden-modules:
    Language.LSP.Server.Core Language.LSP.Server.Control
    Language.LSP.Server.Processing

import-dirs:          /usr/lib/ghc-9.2.8/site-local/lsp-1.4.0.0
library-dirs:         /usr/lib/ghc-9.2.8/site-local/lsp-1.4.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-lsp1.4
hs-libraries:         HSlsp-1.4.0.0-7HrnEOH4yhKC7zGwcpr1Gc
depends:
    aeson-2.1.2.1-7MxCVi0kerx5YLDSk2pLUu
    async-2.2.5-E2Nvh3WkFMk4pawohHisBC
    attoparsec-0.14.4-6bGZjP6ZyLf9ECb8I9ykxo base-4.16.4.0
    bytestring-0.11.4.0 containers-0.6.5.1
    data-default-0.7.1.1-LSJh75QrCu1H2SWBLBb1YB exceptions-0.10.4
    hashable-1.4.3.0-CcD3sjCyxJjIKHS9bT8WC1
    hslogger-1.3.1.0-ARP3vL2LoHu4xujXM5GGue
    lens-5.2.3-FNkYU5E5R9aJRCIGH5TmfH
    lsp-types-1.4.0.1-JvrrFxLlm0NLPuGob91R1h mtl-2.2.2
    network-uri-2.6.4.2-5y0AIyDuR8E3EBg3ECdJwW
    random-1.2.1.2-HuilZN3oosRCcl1kUNb1cn
    scientific-0.3.7.0-CU80SbIY3FlElsPp95sCiY
    sorted-list-0.2.2.0-DIGSsNhF5MY4ejui10GKCQ stm-2.5.0.2 text-1.2.5.0
    time-1.11.1.1 transformers-0.5.6.2
    unliftio-core-0.2.1.0-2wlRerPMhUe3AYGiMsYOzn
    unordered-containers-0.2.20-47hukrr2IXRFDwJY5DTAr2
    uuid-1.3.15-DBFj40tgZuU7Q5lpHqsQDc

haddock-interfaces:   /usr/share/doc/haskell-lsp1.4/html/lsp.haddock
haddock-html:         /usr/share/doc/haskell-lsp1.4/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

